<div class="container-fluid">
  <nav class="navbar navbar-light bg-light">
    <div class="container-fluid">
      <span class="navbar-brand mb-0 h1 text-primary">Induction Reconciliation</span>
      <div *ngIf="isLoggedIn">
        <ul class="nav justify-content-end">
          <li class="nav-item">
            <a class="nav-link" href="#" >{{loggedUsername}}</a>
          </li>
          <li class="nav-item">
            <button class="btn btn-outline-danger" (click)="onLogout()">Logout</button>
          </li>
        </ul>
      </div>
    </div>
  </nav>

  <div class="position-relative">
    <div class="position-absolute top-0 start-50 translate-middle-x">
      <div class="container" *ngIf="!isLoggedIn">
        <p class="fs-1 text-uppercase">Login</p>
          <form class="" #lf="ngForm" name="loginForm" (ngSubmit)="onLogin()">
            <div class="row g-3 align-items-center">
              <div class="col-auto">
                <label for="username" class="col-form-label">Username</label>
              </div>
              <div class="col-auto">
                <input type="text" id="username" class="form-control" name="username" required [(ngModel)]="loginForm.username" #username = "ngModel">
              </div>
            </div>
            <div *ngIf="username.invalid && (username.dirty || username.touched)" class="alert alert-danger" role="alert" >
              <div *ngIf="username.errors?.required">Username is required.</div>
            </div>
            <br>
            <div class="row g-3 align-items-center">
              <div class="col-auto">
                <label for="password" class="col-form-label">Password</label>
              </div>
              <div class="col-auto">
                <input type="password" id="password" class="form-control" required name="password" [(ngModel)]="loginForm.password" #password="ngModel">
              </div>
            </div>
            <div *ngIf="password.invalid && (password.dirty || password.touched)" class="alert alert-danger" role="alert">
              <div *ngIf="password.errors?.required">Password is required.</div>
            </div>
            <br>
            <button class="btn btn-primary btn-lg" type="submit" [class.disabled]="!lf.valid">Login</button>
          </form>
      </div>
    </div>
  </div>
  
  <div *ngIf="isLoggedIn">
    <app-reconciliation></app-reconciliation>
  </div>
</div>

<div *ngIf="errorMessage" class="alert alert-danger"> 
  {{ errorMessage }} 
</div>